For the complete documentation index, see llms.txt. For the full documentation snapshot, see llms-full.txt.
Create a team. To learn more, read Creating a team.
LaunchDarkly supports four fields for expanding the “Create team” response. By default, these fields are not included in the response.
To expand the response, append the expand query parameter and add a comma-separated list with any of the following fields:
members includes the total count of members that belong to the team.roles includes a paginated list of the custom roles that you have assigned to the team.projects includes a paginated list of the projects that the team has any write access to.maintainers includes a paginated list of the maintainers that you have assigned to the team.For example, expand=members,roles includes the members and roles fields in the response.
curl --request POST \
--url https://app.launchdarkly.com/api/v2/teams \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"customRoleKeys": [
"example-role1",
"example-role2"
],
"description": "An example team",
"key": "team-key-123abc",
"memberIDs": [
"12ab3c45de678910fgh12345"
],
"name": "Example team"
}
'{
"description": "Description for this team.",
"key": "team-key-123abc",
"name": "Example team",
"_access": {
"denied": [
{
"action": "<string>",
"reason": {
"effect": "allow",
"resources": [
"proj/*:env/*;qa_*:/flag/*"
],
"notResources": [
"<string>"
],
"actions": [
"*"
],
"notActions": [
"<string>"
],
"role_name": "<string>"
}
}
],
"allowed": [
{
"action": "<string>",
"reason": {
"effect": "allow",
"resources": [
"proj/*:env/*;qa_*:/flag/*"
],
"notResources": [
"<string>"
],
"actions": [
"*"
],
"notActions": [
"<string>"
],
"role_name": "<string>"
}
}
]
},
"_creationDate": "1648671956143",
"_links": {
"parent": {
"href": "/api/v2/teams",
"type": "application/json"
},
"roles": {
"href": "/api/v2/teams/example-team/roles",
"type": "application/json"
},
"self": {
"href": "/api/v2/teams/example-team",
"type": "application/json"
}
},
"_lastModified": "1648672446072",
"_version": 3,
"_idpSynced": true,
"roleAttributes": "{\"developerProjectKey\": [\"default\"]}",
"roles": {
"totalCount": 1,
"items": [
{
"key": "role-key-123abc",
"name": "Example role",
"projects": {
"totalCount": 1,
"items": [
{
"_links": {
"environments": {
"href": "/api/v2/projects/example-project/environments",
"type": "application/json"
},
"self": {
"href": "/api/v2/projects/example-project",
"type": "application/json"
}
},
"key": "project-key-123abc",
"name": "Example project"
}
]
},
"appliedOn": "1648672018410"
}
],
"_links": {
"self": {
"href": "/api/v2/teams/example-team/roles?limit=25",
"type": "application/json"
}
}
},
"members": {
"totalCount": 15
},
"projects": {
"totalCount": 1,
"items": [
{
"_links": {
"environments": {
"href": "/api/v2/projects/example-project/environments",
"type": "application/json"
},
"self": {
"href": "/api/v2/projects/example-project",
"type": "application/json"
}
},
"key": "project-key-123abc",
"name": "Example project"
}
]
},
"maintainers": {
"totalCount": 1,
"items": [
{
"_id": "569f183514f4432160000007",
"_links": {
"self": {
"href": "/api/v2/members/569f183514f4432160000007",
"type": "application/json"
}
},
"email": "ariel@acme.com",
"firstName": "Ariel",
"lastName": "Flores",
"role": "reader"
}
],
"_links": {
"self": {
"href": "/api/v2/teams/example-team/maintainers?limit=20",
"type": "application/json"
}
}
}
}Documentation Index
Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
A comma-separated list of properties that can reveal additional information in the response. Supported fields are explained above.
The team key
"team-key-123abc"
A human-friendly name for the team
"Example team"
List of custom role keys the team will access
["example-role1", "example-role2"]A description of the team
"An example team"
A list of member IDs who belong to the team
["12ab3c45de678910fgh12345"]A list of permission grants. Permission grants allow access to a specific action, without having to create or update a custom role.
Show child attributes
A map of role attributes for the team
Show child attributes
"{\"developerProjectKey\": [\"default\"]}"
Teams response
A description of the team
"Description for this team."
The team key
"team-key-123abc"
A human-friendly name for the team
"Example team"
Details on the allowed and denied actions for this team
Show child attributes
Timestamp of when the team was created
"1648671956143"
The location and content type of related resources
Show child attributes
{
"parent": {
"href": "/api/v2/teams",
"type": "application/json"
},
"roles": {
"href": "/api/v2/teams/example-team/roles",
"type": "application/json"
},
"self": {
"href": "/api/v2/teams/example-team",
"type": "application/json"
}
}Timestamp of when the team was most recently updated
"1648672446072"
The team version
3
Whether the team has been synced with an external identity provider (IdP). Team sync is available to customers on an Enterprise plan.
true
A map of role attributes for the team
Show child attributes
"{\"developerProjectKey\": [\"default\"]}"
Paginated list of the custom roles assigned to this team. Only included if specified in the expand query parameter.
Show child attributes
Details on the total count of members that belong to the team. Only included if specified in the expand query parameter.
Show child attributes
Paginated list of the projects that the team has any write access to. Only included if specified in the expand query parameter.
Show child attributes
Paginated list of the maintainers assigned to this team. Only included if specified in the expand query parameter.
Show child attributes
curl --request POST \
--url https://app.launchdarkly.com/api/v2/teams \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"customRoleKeys": [
"example-role1",
"example-role2"
],
"description": "An example team",
"key": "team-key-123abc",
"memberIDs": [
"12ab3c45de678910fgh12345"
],
"name": "Example team"
}
'{
"description": "Description for this team.",
"key": "team-key-123abc",
"name": "Example team",
"_access": {
"denied": [
{
"action": "<string>",
"reason": {
"effect": "allow",
"resources": [
"proj/*:env/*;qa_*:/flag/*"
],
"notResources": [
"<string>"
],
"actions": [
"*"
],
"notActions": [
"<string>"
],
"role_name": "<string>"
}
}
],
"allowed": [
{
"action": "<string>",
"reason": {
"effect": "allow",
"resources": [
"proj/*:env/*;qa_*:/flag/*"
],
"notResources": [
"<string>"
],
"actions": [
"*"
],
"notActions": [
"<string>"
],
"role_name": "<string>"
}
}
]
},
"_creationDate": "1648671956143",
"_links": {
"parent": {
"href": "/api/v2/teams",
"type": "application/json"
},
"roles": {
"href": "/api/v2/teams/example-team/roles",
"type": "application/json"
},
"self": {
"href": "/api/v2/teams/example-team",
"type": "application/json"
}
},
"_lastModified": "1648672446072",
"_version": 3,
"_idpSynced": true,
"roleAttributes": "{\"developerProjectKey\": [\"default\"]}",
"roles": {
"totalCount": 1,
"items": [
{
"key": "role-key-123abc",
"name": "Example role",
"projects": {
"totalCount": 1,
"items": [
{
"_links": {
"environments": {
"href": "/api/v2/projects/example-project/environments",
"type": "application/json"
},
"self": {
"href": "/api/v2/projects/example-project",
"type": "application/json"
}
},
"key": "project-key-123abc",
"name": "Example project"
}
]
},
"appliedOn": "1648672018410"
}
],
"_links": {
"self": {
"href": "/api/v2/teams/example-team/roles?limit=25",
"type": "application/json"
}
}
},
"members": {
"totalCount": 15
},
"projects": {
"totalCount": 1,
"items": [
{
"_links": {
"environments": {
"href": "/api/v2/projects/example-project/environments",
"type": "application/json"
},
"self": {
"href": "/api/v2/projects/example-project",
"type": "application/json"
}
},
"key": "project-key-123abc",
"name": "Example project"
}
]
},
"maintainers": {
"totalCount": 1,
"items": [
{
"_id": "569f183514f4432160000007",
"_links": {
"self": {
"href": "/api/v2/members/569f183514f4432160000007",
"type": "application/json"
}
},
"email": "ariel@acme.com",
"firstName": "Ariel",
"lastName": "Flores",
"role": "reader"
}
],
"_links": {
"self": {
"href": "/api/v2/teams/example-team/maintainers?limit=20",
"type": "application/json"
}
}
}
}